org.eclipse.eef.ide.ui.internal.widgets

## Interface IEEFToolbarLifecycleManager

All Known Implementing Classes:
  EEFGroupLifecycleManager, EEFSectionLifecycleManager

    public interface IEEFToolbarLifecycleManager

Implementations of this interface will be used to handle the lifecycle of the toolbars.

### Method Summary

All Methods Instance Methods Default Methods
`default void` `populateToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager, java.util.Collection<EEFToolbarAction> actions, IEEFToolbarActionController controller, EditingContextAdapter editingContextAdapter, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)` Populate a tool bar with actions.

### Method Detail

#### populateToolBar

    default void populateToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager,
                                 java.util.Collection<EEFToolbarAction> actions,
                                 IEEFToolbarActionController controller,
                                 EditingContextAdapter editingContextAdapter,
                                 org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                 org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)

Populate a tool bar with actions.

Parameters:
  `toolBarManager` - The toolbar manager to populate
  `actions` - The actions
  `controller` - The controller
  `editingContextAdapter` - The editing context adapter
  `interpreter` - The interpreter
  `variableManager` - The variable manager